#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	GNOME Devtools Library
Summary(pl.UTF-8):	Biblioteka GNOME Devtools Library
Name:		gdl
Version:	3.34.0
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdl/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	d624f2ca85555402828d5c4a98912b82
URL:		https://gitlab.gnome.org/GNOME/gdl
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd43-xml
BuildRequires:	gettext-tools
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.4
BuildRequires:	intltool >= 0.40.4
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNOME Devtools Library package provides a docking system and
several utilities useful to GNOME development tools and GNOME
applications in general.

%description -l pl.UTF-8
Pakiet GNOME Devtools Library zapewnia system dokujący oraz kilka
narzędzi przydatnych w narzędziach programistycznych GNOME oraz
ogólnie aplikacjach GNOME.

%package devel
Summary:	Header files for gdl development
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gdl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
This package contains the header files needed to develop programs that
use these gdl.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających bibliotek gdl.

%package static
Summary:	Static gdl library
Summary(pl.UTF-8):	Statyczna biblioteka gdl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static gdl library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę gdl.

%package apidocs
Summary:	gdl library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gdl
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gdl library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gdl.

%prep
%setup -q

%build
#{__glib_gettextize}
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}-3

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-3.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgdl-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdl-3.so.5
%{_libdir}/girepository-1.0/Gdl-3.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdl-3.so
%{_datadir}/gir-1.0/Gdl-3.gir
%{_includedir}/libgdl-3.0
%{_pkgconfigdir}/gdl-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdl-3.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdl-3.0
%changelog
* Thu Nov 07 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gdl.git;a=log;h=master

* Thu Nov 07 2019 Jakub Bogusz <qboosh@pld-linux.org> 15aa7e9
- updated to 3.34.0

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> cd47178
- Update to 3.28.0

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 9f92eee
- Update to 3.22.0

* Mon Mar 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4e8a322
- Update to 3.20.0

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 08eb8cd
- noarch apidoc

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 116ec37
- updated to 3.18.0

* Sat Aug 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 3b6f844
- updated descriptions and BRs, added static_libs bcond

* Sat Mar 21 2015 Łukasz Kieś <kiesiu@pld-linux.org> 3a37b3d
- updated to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 7737030
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 3e6268c
- updated gettext BR

* Mon Sep 29 2014 Łukasz Kieś <kiesiu@pld-linux.org> 9cc292b
- updated to 3.14.0

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e82c57d
- Update to 3.12.0

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0ba0496
- Update to 3.10.0

* Sun Apr 14 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b84f355
- Update to 3.8.1

* Sun Mar 24 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c23c776
- Update to 3.8.0

* Sat Nov 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 67097ea
- updated to 3.6.2

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> bc89423
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Wed Sep 26 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e0cd39c
- Updated to 3.6.0 (note: new soname)

* Fri Jun 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> b6ea888
- updated to 3.4.2 (note: new soname)

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> cdd0401
- updated to 3.4.1

